# Hidden Units

__FIFTY TWO__ different unique units are added by this mod, a majority of which can be found in the Secret faction. *HOWEVER*, all units added to the Secret faction must be unlocked, just like ordinary secret units!

As for the other seven units, they can be found in a new faction, the **Egypt faction**! This faction includes **seven high-quality units**, just like any other faction, and **comes with TWO NEW MAPS**, complete with two amazing music tracks composed by the legendary Voup! 

All five Egypt-themed secret units can be found on the Egypt maps. There is also a campaign.

__ALL OF THE CLOTHING, WEAPONS, AND ABILITIES ARE AVAILABLE IN THE UNIT CREATOR.__

### The Egypt Update has an [**official trailer**](https://www.youtube.com/watch?v=GaDh8GREJ8U).

### If you have trouble with the mod, or if you just want to chat, you can join the [TABS Mod Center](https://discord.gg/zrs44qyp7S).

### This mod is [**open source**](https://github.com/donkeyrat/HiddenUnits).

## How To Use

*The Egypt faction and maps are unlocked upon loading the game with the mod for the first time.*

To unlock the secret units, you'll have to find them first.

## Egypt Units

| Unit | Description |
|-|-|
| **Guard** | A defender of the pyramids, fighting off petty thieves and whipping slaves. They may not deal a lot of damage, but they can knock back any foe. |
| **Sand Mage** | Their pyramid staffs summon sandy tornadoes, lifting units up into the air and dropping them back down. |
| **Architect** | Using their bronze trowels, they raise sandstone brick walls in an instant between themselves and enemies, causing enemies to attack the walls until they fall over, crushing any in the wall's vicinity. |
| **Beastmaster** | Tamers of the great crocodiles of the nile river, they wear crocodile armor as proof of their glory. When in close combat, they leap off their crocodiles, throwing their khopeshes and stabbing with them to fight, while the croc performs death rolls. |
| **Scribe** | Possessing forbidden magic, the scribes summon dark plagues from ages long past to devour units, in the form of a vicious swarm of hungry locusts. They eat away at units, until they dissipate. |
| **Merchant** | Piloted by two venom archers and two boomerang throwers, as well as driven by two camels (historically accurate I'm sure), these merchants aren't here to trade. |
| ***NILE QUEEN*** | Wielding the phoenix magic of Ra in the form of two time-defying hieroglyphs and shooting orbs of pure fire, the queen of the nile defends her people even at the cost of her lifeforce. She can summon pyramids from the ground, and push back nearby enemies with a forcefield. |

## Secret Units

| Unit | Location | Description |
|-|-|- |
| ***ONE PUNCH MAN*** | *Simulation* | The main protagonist from the hit anime series, One Punch Man. They are (nearly) unbeatable. |
| **Witch Doctor** | *Tribal 1* | A strange wielder of witchcraft who infects their "patients" with a zombie plague. The purple flower they wield turns units into special zombies, and the totem they raise can revive allies. |
| **Shaman** | *Tribal 2* | An old wizard with a staff that raises the dead from deep within the earth. If enemies get close, they aren't afraid to unleash the black magic held within their staff. |
| **Gatherer** | *Tribal Sandbox* (good luck) | A young tribesfellow wielding a sling who flings rocks with enough force to temporarily stun their enemies. |
| **Clubmaster** | *Tribal Sandbox* | The weaponsmaster of the Autumn Forest. They wield two spiked clubs with telekinesis, throwing them forward as they're swung. They can also summon rocks from the ground, and allow their clubs to roam freely to beat down armies! |
| **Butcher** | *Farmer 1* | A farmer who'd like a fresh cut of wobbler meat. Their cleaver causes any hit with it to bleed. |
| **Chicken Man** | *Farmer 2* (find all 5 crowned chickens to unlock) | The cursed farmer and bringer of the chicken cult's will. They release infinite amounts of chickens out of an interdimensional portal located in their.. |
| **Tower** | *Medieval 1* | A siege tower carrying four skilled archers and two trumpet-wielding bards. They fire squires out of their trumpets while the archers snipe from afar. |
| **Thief** | *Medieval 1* | A greedy peasant who seeks weapons. They stab enemies with their dagger and then steal their weapon (if their health is low enough). They are also quick on their feet and can dodge attacks. |
| ***IGNISLASHER*** | *Medieval 2* | The blind swordsman blessed by the Elder Gods. They wield two living Igniswords in their hands as well as two behind them. When desperate, they can slice through the air fast enough to form a tornado of blaze. None may get close, not even a projectile. Their sword supply is seemingly endless, and they can summon swords from rifts to burn enemies from above. |
| **Templar** | *Medieval 2* | The greatest of the knights, wielder of the sun mace. They summon suns from above which push enemies down, and finish them off with scorching-hot mace smashes. |
| **Bishop** | *Medieval 2* | A high member of the clergy and wielder of advanced healing magic. All allies within an area around the Bishop get healed in intervals. They are worth defending, and can be the lifeline of armies. |
| **Helicopter** | *Ancient 1* | An incompetently-flown helicopter with two mounted guns. They aim at enemy units and gun them down. If the pilot dies, the whole thing goes down. |
| ***APOLLO*** | *Ancient 2* | The god of archery and music, who wields a harp bow. Their elegant strokes of the bowstrings create lustrous music, and shoot deadly arrows of pure light. A perfect sniper. If enemies get close, they can stroke a few special strings on their harp and rain light from the sky. |
| **Mathematician** | *Ancient 2* | An old wisefellow who wields a plus-shaped projectile, which can be thrown and grows any unit part it hits, from weapons to limbs. While it may seem like it would help the enemy, growing too large is not exactly beneficial, as they often float away like balloons. |
| **Philosopher** | *Ancient 2* | A more pessimistic wisefellow who prefers to critique and subtract rather than add, and wields a minus-shaped projectile. This shrinks units rather than grow, destroying them from existence. |
| **Trojan Chicken** | *Ancient Sandbox* | A completely inconspicuous "chicken". Aha, got you! It is actually a wooden craft in the shape of a chicken, which launches hoplites from its sides. It can also cause great misfortune upon its destruction. |
| ***ARES*** | *Ancient Sandbox* | The god of war who wields a flail-gladius, a spear, and a shield. They sometimes swing their gladius around and other times wield their spear and shield. Occasionally they can unleash spears from their shining armor which knocks units back. They are relentless in their destructive rampage, and stop at nothing to bring war and chaos. Now, they lie frozen in stone deep beneath the skies of Olympus, restrained by the gorgons of yore. |
| **Centaur** | *Ancient Sandbox* | A half-wobbler half-wobbly horse monstrosity (I do not want to know how it was born). It wields two bows and two swords. At longer ranges it equips its bows which blast units away, while wielding its swords at close ranges and trampling and slicing units.  |
| **Ancient Tank** | *Ancient Sandbox* | A tough, slow-moving siege weapon wheeled by three units stacked on top of each other. The archer rapidly fires arrows, the centurion throws piercing pilums, and the legionary holds it all together. The shield can block any projectile damage, but is weak to melee attacks. |
| **Warlord** | *Viking 1* | A grand leader of the viking armies and pillager of the greatest cities. They have tamed the mightiest of beats, the bear, and wield two dual-sided axes, spinning them with admirable skill and precision. Nothing can stop the blender of pain (besides projectiles). |
| **The Reaver** | *Viking 1* | An unconventional fighter who enjoys torture more than pillaging and thievery. They practice cannibalism and are shunned by the viking clans, but their wolf armies allow these hired mercenaries to be left alone. They swing their halberds with forbidden nordic magic, and spin with great force. |
| **Rune Mage** | *Viking 1* | The defenders of the viking homelands. They wield Nordic runes upon their tablets with untold magic inside. Any who cross them will find themselves turned into beasts of men, stabbed with mystical swords, and fired with lasers. The viking homeland has gone untouched for hundreds of years. |
| ***THOR*** | *Viking Sandbox* | The god of thunder (and hammers), wielding their iconic hammer, Mjolnir. Do not be alarmed, they come in peace, unless you threaten the safety of the world at large. Though not an Elder God, they strike down demons and beasts with fury. Sorry, giants. As in mythology, they keep their hammer in a chain around their neck before a battle begins, and can shrink and grow Mjolnir at will. They can also rapidly spin it, throw it, and summon thunder from above, as well as striking all projectiles within their vicinity with enough thunder to shatter them. |
| ***ODIN*** | *Viking Sandbox* | The first of the gods, and the strongest. They wield their spear, Gungnir, and a runic shield which reflects projectiles back at their senders. Gungnir summons Norse spears from the heavens upon impact. Odin can summon crystal golems from below when low on health, and summon a spear from Asgard to smite units at close ranges. |
| ***DREAD KING*** | *Viking Sandbox* | The scourge of the gods, who will never forgive them for abandoning the Dread clan. The king lives on, as an a half-dead monstrosity with swords sticking out of them and a massive sword, the Peak of the Boreal. They can summon fields of ice spikes from deep below, and impale units with ice spikes upon being stabbed with their mystical flying swords. Upon death, they come back to life with half health. |
| ***GRIEVING TITAN*** | *Spooky 2* | An apostle of the twin rulers of the Spooky Realm, keeping balance in death. It is powered by a core made of raw terror, and drags down units with its roots of decay. Its sword brings trees from below and slashes its enemies. It can occasionally release a burst of fear from its core to drive units away. When it takes too much damage, its core collapses and its form crumbles. |
| ***HADES*** | *Spooky 2* | The ruler of the Spooky plane and raiser of the fallen, sitting atop the Throne of the Dead and wielding the Hell Bident. Using their bident they raise pillars of hellflame, causing souls to manifest in the mortal plane. They can also summon possessed blades from the ground, which stab into the nearest unit they find, as well as raising blood altars. These altars suck the life of nearby units, feeding into an egg floating above the battlefield near Hades. After enough health is drained, the egg hatches, and Cerberus manifests, spitting fire (quite literally). |
| ***THE EMPEROR*** | *Spooky 2* | The crowned emperor of the dynasty for the last.. wait, how long has it been? Their mask grants them agelessness, and two extra sets of arms. In their lower two sets, they wield katanas. In their highest set, they wield a large naginata. They can teleport around the battlefield, slash units in an area around them, and dash through units, slicing them apart. |
| **Prospector** | *Wild West* | None may withstand their advancing mining techniques. Miners may have pickaxes, but do they have bombs? Do they have shovels? I think not! |
| **Flail Master** | *Legacy* | Drunk? Maybe. Powerful? Absolutely. Wielding two triple flails, the Flail Master never stops spinning, with armor tough enough to block arrows. |
| **Spider Mage** | *Legacy* | A humble apprentice of the great Wizards of the farm, the Spider Mages use the elemental magic of the spider, sticking units to the ground with their webs. With enough of them (if your computer can handle it), they can pin down giants. |
| **Mayhem Gunner** | *Legacy* | A deranged terrorist with a gear or two loose (figuratively, their armor does not in fact use gears). Their mayhem gun can decimate armies with its explosions and implosions, and truly brings chaos, and mayhem. |
| ***???*** | *Legacy* | The hero of all Wobblerkind, under self-imposed exile. The Keys of Sealing they constructed now lay scattered across the lands; one in Blackbeard's cove, another in the Autumn Forest, a third beneath the dunes, and the fourth at the depths of this realm. Should the hero be unsealed, they may fight again. |
| **Angel** | *Fantasy Good* | A bringer of the influence of the Elder Gods. It wields two dual-sided swords which summon mystical bubbles where they land, sucking up any nearby units and lifting them up along with the bubble, and then popping, flinging them all away. Upon death, the angel disintegrates, leaving only pieces of golden armor strewn across the battleground. |
| **Aetherian** | *Fantasy Good* | A cultist of the Elder Gods. They wield an Aether ring, using it as it spins around and shreds units it runs into, like a beyblade of doom. |
| **Pegasus** | *Fantasy Good* | A cultist of the Elder Gods riding a blessed stallion. This steed hovers above the battlefield, while its riders summons fairies, which propel themselves into enemy units, before exploding, blasting enemies away. |
| ***SERAPHIM*** | *Fantasy Good* | The last God Beast, a race of eldritch demigods born from the Void, in this realm. It strikes down any opponents with the very blades used to seal its power, and can rain Judgement on its opponents. It cannot be Judged, for it is the Judge. |
| **Business Man** | *Fantasy Evil* | From the bowls of hell rises the Business Man, here to buy your soul. They shoot rolled-up dollar bills from an Uzi covered in money, and throw a brief case filled with cash. The greedy enemy units run over to collect the cash, but this only leads to their demise. |
| **Pot Thrower** | *Egypt 1* | An ordinary potter, except with pots filled with cobras. The cobras infect units with poison, and come in 8 variants! Wow! |
| **Mummy** | *Egypt 1* | An undead pharaoh which rises from its sarcophagus to spread its deadly illness. It can also summon skeleton soldiers from the sands to protect itself. |
| ***SELKET*** | *Egypt 1* | The Egyptian Goddess of the Dead. They wield an arachnid staff, and summon scorpions from mysterious rifts using it. Their  half-scorpion body is ferocious, and mercilessly devours all enemies. |
| **Boomerang** | *Egypt 2* | It always comes back (and can hit up to 3 units). |
| ***WARRIOR OF RA*** | *Egypt 2* | A grand soldier of the Egyptian God of the Sun, Ra, wielding phoenix magic. Their fire transcends time itself, and at long ranges can fire beams of fire and even transform into a falcon to close distances with enemy units quicker. They can parry any attack, and upon death their phoenix magic is drained and returned to the sun. However, with what remaining power they have, they manifest in a powerful second form with two sets of wings and a deadly spear, until they naturally perish after twenty seconds, draining the last of their strength. |

If you cannot find them, keep looking. There are tutorials on Youtube which help in finding specific locations. Happy searching!

## Changelog

The mod's [**Github**](https://github.com/donkeyrat/HiddenUnits) is the only place to view the full changelog.

## Credits

This mod was created by Team Grad, an ambitious mod team that aims to improve the game through adding a plethora of new content to Totally Accurate Battle Simulator!

**BD - Coder/Unit Designer/Owner**

**Terren - Modeler/Unit Designer/SFX Designer/Icon Artist/Concept Artist**

**Kermate - Modeler**

**Hambody - Icon Artist/Concept Artist**

**Voup - Composer**

**Grakalor - Quality Checker**

**Doorknob - Icon Artist/Concept Artist**

**StarFan - Translator**

## Music

The new music for the mod was composed by *Voup*, a talented musician. You can view the tracks on Youtube below:

[**Egypt Placement**](https://www.youtube.com/watch?v=sq79L46WuAw)

[**Egypt Battle**](https://www.youtube.com/watch?v=iYm2xraBMj4)

## Gallery

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999419368905658378/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999436423717453825/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999436661517713428/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999437097758896208/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999410558744936568/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999410828489007124/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999411570213916692/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999411819619811459/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1103678863566962811/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999419133315784714/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999419830304256102/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999420072126840862/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043788622173851728/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043807174763237406/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043805911061364836/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043808128728305764/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043804062962946128/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/755836071543308349/1043787504182108160/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043808509340434463/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043804635737100398/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043807570273513522/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043800958032941056/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043801302959915018/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043800408574939156/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999413252666708028/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999413538001002566/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999413813537423493/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/734897446567542845/999425688488652831/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1103685530056671313/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999415309440127076/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043806403078406234/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043806770008703037/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999415734352482394/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999420313941069844/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999420503645237278/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999420970559340544/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999421199148929024/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999421406154588262/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043802998066913332/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1103686582621454336/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043802490082172938/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043799033833066536/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1103685924082167858/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999422953370431658/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999423587368837160/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999423863442116769/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1103686274705006683/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/999424830472466584/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1043799676488536134/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/734897446567542845/999425482191814756/unknown.png)